<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Running the Passive Network Discovery MetaModule</title>
        
        <link href="../../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../../index.html#18-metamodules/passive-network-discovery/running-passive-network-discovery.html">Open topic with navigation</a>
        </p>
        <h2>Running the Passive Network Discovery MetaModule</h2>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Modules &gt; MetaModules</b>.<br /><br /><img src="../../Resources/Images/metamodules/pnd-apps-tab-1_619x81.png" style="width: 619;height: 81;" /></li>
            <li value="2">Find the <b class="UISelection">Passive Network Discovery</b> MetaModule and click the <b class="UISelection">Launch</b> button. The Passive Network Discovery window appears.<br /><br /><img src="../../Resources/Images/pnd-metamodule-1_608x355.png" style="width: 608;height: 355;" /></li>
            <li value="3">From the <b class="UISelection">Pcap Configuration</b> tab, select the Network Interface Card (NIC) you want to use to capture traffic.  <span class="VariablesProductName">Metasploit Pro</span> automatically detects the interfaces that are available.<br /><br /><img src="../../Resources/Images/metamodules/pnd-configuration-1_565x418.png" style="width: 565;height: 418;" /></li>
            <li value="4">Use the sliders to define the following limits for the packet capture:</li>
        </ol>
        <ul start="5">
            <li class="indentedList" value="5"><b class="UISelection"> Timeout</b> - The time limit for the capture, in seconds.</li>
            <li class="indentedList" value="6"><b class="UISelection"> Max File Size</b> - The maximum file size for each file captured, up to 512 MB.</li>
            <li class="indentedList" value="7"><b class="UISelection"> Max Total Size</b> - The maximum size of the entire Pcap file, up to 2 GB. This value must be larger than the Max File Size.</li>
        </ul>
        <p class="NoteList2" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>The packet capture runs until it meets the timeout limit or the maximum Pcap file size limit.</p>
        <ol start="5">
            <li value="5">Click on the <b class="UISelection">Filters</b> tab. The Berkeley Packet&#160;Filters page appears. </li>
            <li value="6">Choose one of the following options, if you want to specify a BPF string: </li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><b class="UISelection">Select Protocols from the following list</b> - Choose this option if you want the MetaModule to automatically generate the BPF string based on the protocols and ports you have selected. The Passive Network Discovery MetaModule provides a list of the most common ports and services that you can choose from. After you select the protocols and ports for the BPF string, you can view the generated string at the bottom of the Filters page. <br /><br /><img src="../../Resources/Images/metamodules/pnd-generated-bpf-string_401x86.png" style="width: 401;height: 86;" /></li>
            <li class="indentedList" value="2"><b class="UISelection">Manually enter a BPF&#160;string</b> - Choose this option if you want to manually define the BPF string.  For more information on BPF syntax, visit <a href="http://biot.com/capstats/bpf.html" target="_blank">http://biot.com/capstats/bpf.html</a>.<br /><br /><img src="../../Resources/Images/metamodules/pnd-custom-bpf-string_405x163.png" style="width: 405;height: 163;" /></li>
        </ul>
        <ol start="5">
            <li value="5">Click the <b class="UISelection">Report</b> tab. The Report configuration page appears.</li>
            <li value="6">Enter a name for the report in the <b class="UISelection">Report Name</b> field, if you want to use a custom report name.  Otherwise, the MetaModule uses the default report name.<br /><br /><img src="../../Resources/Images/metamodules/pnd-report-1_595x436.png" style="width: 595;height: 436;" /></li>
            <li value="7">Select whether you want to generate the report as a PDF, RTF, or HTML file.<br /><br /><img src="../../Resources/Images/metamodules/pnd-report-formats_417x264.png" style="width: 417;height: 264;" /></li>
            <li value="8">From the <b class="UISelection">Sections</b> area, deselect any sections you do not want to include in the report. Skip this step if you want to generate all the report sections.<br /><br /><img src="../../Resources/Images/metamodules/pnd-report-sections_425x270.png" style="width: 425;height: 270;" /></li>
            <li value="9">Select the Mask discovered passwords options if you want to hide discovered credentials from the report. <br /><br /><img src="../../Resources/Images/metamodules/pnd-report-options_427x271.png" style="width: 427;height: 271;" /></li>
            <li value="10">Select the<b class="UISelection"> Email Report</b> option if you want to e-mail the report after it generates. If you enable this option, you need to supply a comma separated list of e-mail addresses.</li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span> If you want to e-mail a report, you must set up a local mail server or e-mail relay service for <span class="VariablesProductName">Metasploit Pro</span> to use. To define your mail server settings, select <b class="UISelection">Administration &gt; Global Settings &gt; SMTP Settings</b>.<br /><br /><img src="../../Resources/Images/metamodules/pnd-email-report_421x265.png" style="width: 421;height: 265;" /></p>
        <ol start="5" data-mc-continue="true">
            <li value="11">Click the <b class="UISelection">Launch</b> button.</li>
        </ol>
        <p>When the MetaModule launches, the Findings window appears. It contains the statistics and task log for the MetaModule run. You can track the total number of packets, bytes, and hosts that the MetaModule captures in real-time.<br /><br /><img src="../../Resources/Images/metamodules/pnd-findings-2_705x260.png" style="width: 705;height: 260;" /></p>
        <p>After the MetaModule completes its run, you should go the Reports area to view the Passive Network Discovery Findings Report that the MetaModule generated. The report provides detailed information about the services and credentials that the MetaModule was able to capture for each host, as well as a graphical breakdown of the operating systems and services that were found.</p>
    </body>
</html>